testing::internal::ThreadLocal< T > Class Template Reference

`#include <gtest.h>`

## Public Member Functions

| ThreadLocal ()
| ThreadLocal (const T &value)
T * | pointer ()
const T * | pointer () const
const T & | get () const
void | set (const T &value)

## Detailed Description

### template<typename T>
class testing::internal::ThreadLocal< T >

Definition at line 2165 of file gtest.h.

## Constructor & Destructor Documentation

## ThreadLocal() [1/2]

template<typename T >

testing::internal::ThreadLocal< T >::ThreadLocal | ( |  | ) |

inline

Definition at line 2167 of file gtest.h.

## ThreadLocal() [2/2]

template<typename T >

testing::internal::ThreadLocal< T >::ThreadLocal | ( | const T & | value | ) |

inlineexplicit

Definition at line 2168 of file gtest.h.

## Member Function Documentation

## get()

template<typename T >

const T& testing::internal::ThreadLocal< T >::get | ( |  | ) | const

inline

Definition at line 2171 of file gtest.h.

## pointer() [1/2]

template<typename T >

T* testing::internal::ThreadLocal< T >::pointer | ( |  | ) |

inline

Definition at line 2169 of file gtest.h.

## pointer() [2/2]

template<typename T >

const T* testing::internal::ThreadLocal< T >::pointer | ( |  | ) | const

inline

Definition at line 2170 of file gtest.h.

## set()

template<typename T >

void testing::internal::ThreadLocal< T >::set | ( | const T & | value | ) |

inline

Definition at line 2172 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h